Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::TermVectorOffsetInfo Class Reference

The TermVectorOffsetInfo class holds information pertaining to a Term in a TermPositionVector's offset information. This offset information is the character offset as set during the Analysis phase (and thus may not be the actual offset in the original content). More...

`#include <TermVectorOffsetInfo.h>`

Inheritance diagram for Lucene::TermVectorOffsetInfo:

## Public Member Functions

| TermVectorOffsetInfo (int32_t startOffset=0, int32_t endOffset=0)
virtual | ~TermVectorOffsetInfo ()
virtual String | getClassName ()
boost::shared_ptr < TermVectorOffsetInfo > | shared_from_this ()
int32_t | getEndOffset ()
| The accessor for the ending offset for the term. More...
void | setEndOffset (int32_t endOffset)
int32_t | getStartOffset ()
| The accessor for the starting offset of the term. More...
void | setStartOffset (int32_t startOffset)
virtual bool | equals (LuceneObjectPtr other)
| Two TermVectorOffsetInfos are equals if both the start and end offsets are the same. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
static const Collection < TermVectorOffsetInfoPtr > | EMPTY_OFFSET_INFO ()
| Convenience declaration when creating a TermPositionVector that stores only position information. More...

## Protected Attributes

int32_t | startOffset
int32_t | endOffset

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

The TermVectorOffsetInfo class holds information pertaining to a Term in a TermPositionVector's offset information. This offset information is the character offset as set during the Analysis phase (and thus may not be the actual offset in the original content).

## Constructor & Destructor Documentation

Lucene::TermVectorOffsetInfo::TermVectorOffsetInfo | ( | int32_t | startOffset = `0`,
|  | int32_t | endOffset = `0`
| ) |  |

virtual Lucene::TermVectorOffsetInfo::~TermVectorOffsetInfo | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::TermVectorOffsetInfo::_getClassName | ( | ) |  |

inline static

static const Collection<TermVectorOffsetInfoPtr> Lucene::TermVectorOffsetInfo::EMPTY_OFFSET_INFO | ( | ) |  |

static

Convenience declaration when creating a TermPositionVector that stores only position information.

virtual bool Lucene::TermVectorOffsetInfo::equals | ( | LuceneObjectPtr | other) |  |

virtual

Two TermVectorOffsetInfos are equals if both the start and end offsets are the same.

Returns
  true if both getStartOffset() and getEndOffset() are the same for both objects.

Reimplemented from Lucene::LuceneObject.

virtual String Lucene::TermVectorOffsetInfo::getClassName | ( | ) |  |

inline virtual

int32_t Lucene::TermVectorOffsetInfo::getEndOffset | ( | ) |  |

The accessor for the ending offset for the term.

int32_t Lucene::TermVectorOffsetInfo::getStartOffset | ( | ) |  |

The accessor for the starting offset of the term.

virtual int32_t Lucene::TermVectorOffsetInfo::hashCode | ( | ) |  |

virtual

Return hash code for this object.

Reimplemented from Lucene::LuceneObject.

void Lucene::TermVectorOffsetInfo::setEndOffset | ( | int32_t | endOffset) |  |

void Lucene::TermVectorOffsetInfo::setStartOffset | ( | int32_t | startOffset) |  |

boost::shared_ptr< TermVectorOffsetInfo > Lucene::TermVectorOffsetInfo::shared_from_this | ( | ) |  |

inline

## Field Documentation

int32_t Lucene::TermVectorOffsetInfo::endOffset

protected

int32_t Lucene::TermVectorOffsetInfo::startOffset

protected

The documentation for this class was generated from the following file:

- TermVectorOffsetInfo.h

clucene.sourceforge.net